%define	version 1.2.0.20090901
%define	release %mkrel 1

Name:      ibus-table-thai
Summary:   ibus-thai - table-based engine
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ibus-table-devel >= 1.2.0
BuildArch:	noarch
Requires:	ibus-table >= 1.2.0
Requires(post):	ibus-table >= 1.2.0

%description
ibus-table-thai provides Thai input method on IBus Table under IBus
framework.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/thai.db

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_datadir}/ibus-table/icons/*.png
%{_datadir}/ibus-table/tables/*.db


%changelog
* Thu Nov 19 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090901-1mdv2010.1
+ Revision: 467349
- import ibus-table-thai

